<?php
/*-------------------------------------------------------+
| PHP-Fusion Content Management System
| Copyright  2002 - 2011 Nick Jones
| http://www.php-fusion.co.uk/
+--------------------------------------------------------+
| Filename: title_adminphp
| Author: DrunkeN
| Webiste: http://dark-fusion.se
+--------------------------------------------------------+
| This program is released as free software under the
| Affero GPL license. You can redistribute it and/or
| modify it under the terms of this license which you
| can read by viewing the included agpl.txt or online
| at www.gnu.org/licenses/agpl.html. Removal of this
| copyright header is strictly prohibited without
| written permission from the original author(s).
+--------------------------------------------------------*/
require_once "../../maincore.php";
require_once THEMES."templates/admin_header.php";

if (!checkrights("UT") || !defined("iAUTH") || $_GET['aid'] != iAUTH) { redirect(BASEDIR."index.php"); }

include INFUSIONS."user_titles/infusion_db.php";
if (file_exists(INFUSIONS."user_titles/locale/".$settings['locale'].".php")) {
	include INFUSIONS."user_titles/locale/".$settings['locale'].".php";
} else {
	include INFUSIONS."user_titles/locale/German.php";
}

$user_title_id = (isset($_GET['user_title_id']) AND isnum($_GET['user_title_id'])) ? $_GET['user_title_id'] : "";
		
		
		
if (isset($_GET['action']) && $_GET['action'] == "delete") {
    $result = dbquery("DELETE FROM ".DB_USER_TITLES." WHERE user_title_id='".$user_title_id."'");
    redirect(FUSION_SELF.$aidlink);
}

if (isset($_POST['save_utitle'])) {
    $user_title_user = (isset($_POST['user_title_user']) && isnum($_POST['user_title_user'])) ? $_POST['user_title_user'] : "0";
	$user_title_text = stripinput($_POST['user_title_text']);
    if (isset($_GET['action']) && $_GET['action'] == "edit") {
    $result = dbquery("UPDATE ".DB_USER_TITLES." SET user_title_user='".$user_title_user."', user_title_text='".$user_title_text."' WHERE user_title_id='".$user_title_id."'");
    redirect(FUSION_SELF.$aidlink);
    } else {
    $result = dbquery("INSERT INTO ".DB_USER_TITLES." (user_title_user, user_title_text) VALUES ('".$user_title_user."', '".$user_title_text."')");
   redirect(FUSION_SELF.$aidlink); 
   }
}   

if (isset($_GET['action']) && $_GET['action'] == "edit") {
    $result = dbquery("SELECT * FROM ".DB_USER_TITLES." WHERE user_title_id='".$user_title_id."'");
    $data = dbarray($result);
    $user_title_user = (isset($data['user_title_user']) && isnum($data['user_title_user'])) ? $data['user_title_user'] : "0";
	$user_title_text = stripinput($data['user_title_text']);
    $utitle_action = FUSION_SELF.$aidlink."&amp;action=edit&amp;user_title_id=".$user_title_id;
    opentable($locale['uti_001']);
} else {
    $user_title_user = "";
	$user_title_text = "";
    $utitle_action = FUSION_SELF.$aidlink;
    opentable($locale['uti_002']);
}

   $usert_opts = "";
   $result = dbquery("SELECT u.user_id, u.user_name, ut.user_title_id, ut.user_title_user FROM ".DB_USERS." u LEFT JOIN ".DB_USER_TITLES." ut ON u.user_id=ut.user_title_user ORDER BY user_level DESC, user_name ASC");
   while($data = dbarray($result)) {
   $sel = (isset($user_title_user) && $user_title_user == $data['user_id'] ? " selected='selected'" : "");
   if ($data['user_title_user'] == '' || (isset($_GET['action']) && isset($_GET['user_title_id']) && ($_GET['action'] == 'edit') && ($_GET['user_title_id'] == $data['user_title_id']))){
      $usert_opts .= "<option value='".$data['user_id']."'".$sel.">".$data['user_name']."</option>\n";
   }
}
	
	/* Pagenav added in v1.01 */
if (isset($_GET['rowstart']) && isnum($_GET['rowstart'])) {
	$rowstart = $_GET['rowstart'];
} else {
	$rowstart = 0;
} //

$titles_perpage = 10;

	require_once INCLUDES."bbcode_include.php";
	echo "<form name='titleform' action='".$utitle_action."' method='post'>";
	echo "<table align='center' width='70%' cellspacing='1' cellpadding='0'>\n<tr>\n";
    echo "<td valign='top' class='tbl'><strong>".$locale['uti_003']."</strong></td>\n";
    echo "<td class='tbl'><select name='user_title_user' class='textbox' style='width:120px;'>".$usert_opts."</select>\n";
	echo "</td>\n</tr>\n";
	echo "<td valign='top' class='tbl'><strong>".$locale['uti_004']."</strong></td>\n";
    echo "<td class='tbl'><textarea name='user_title_text' cols='60' rows='5' class='textbox' style='width:250px;'>".$user_title_text."</textarea><br />\n";
    echo display_bbcodes("240px;", "user_title_text", "titleform")."\n";
    echo "</td>\n</tr>\n<tr>\n";
	echo "<td align='center' colspan='2' class='tbl'>";
	echo "<input type='submit' name='save_utitle' value='".$locale['uti_005']."' class='button'>";
	echo "</tr>\n</table>\n</form>\n";
closetable();

opentable($locale['uti_006']);
$result = dbquery(
	"SELECT t.*, u.user_id, u.user_name, u.user_status, u.user_level 
	FROM ".DB_USER_TITLES." t
	LEFT JOIN ".DB_USERS." u ON u.user_id=t.user_title_user
	ORDER BY u.user_level DESC
	LIMIT $rowstart,$titles_perpage"
);
echo "<table cellpadding='0' cellspacing='1' width='600' align='center' class='tbl-border'><tr>";
echo "<td class='tbl2'><strong>".$locale['uti_007']."</strong></td>";
echo "<td class='tbl2'><strong>".$locale['uti_008']."</strong></td>";
echo "<td class='tbl2'><strong>".$locale['uti_009']."</strong></td></tr>";
  $rows = dbcount("(user_title_id)", DB_USER_TITLES);
  if ($rows) {
    while($data = dbarray($result)){
	if($data['user_title_user']){
		echo "<tr><td>".profile_link($data['user_id'], $data['user_name'], $data['user_status'])."</td>";
		echo "<td>".parsesmileys(parseubb($data['user_title_text']))."</td>";
		echo "<td><a href='".FUSION_SELF.$aidlink."&amp;action=edit&amp;user_title_id=".$data['user_title_id']."' title='".$locale['uti_010']."'>".$locale['uti_010']."</a>&nbsp;-&nbsp;<a href='".FUSION_SELF.$aidlink."&amp;action=delete&amp;user_title_id=".$data['user_title_id']."' title='".$locale['uti_011']."'>".$locale['uti_011']."</a></td></tr>";
	}
}
echo "</table>";
if ($rows > $titles_perpage) echo "<div align='center' style=';margin-top:5px;'>\n".makepagenav($rowstart,$titles_perpage,$rows,3,FUSION_SELF.$aidlink."&amp;")."\n</div>\n";
        } else {
        echo "<table cellpadding='0' cellspacing='1' width='600' align='center' class='tbl-border'>\n<tr>\n<td class='tbl2' align='left'>".$locale['uti_012']."</td></tr>\n</table>";
}
closetable();

require_once THEMES."templates/footer.php";
?>